SequenceNumberCreator (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.bdb.SequenceNumberCreator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.bdb
Class SequenceNumberCreator

    java.lang.Object
      org.codehaus.activemq.store.bdb.SequenceNumberCreator

All Implemented Interfaces:
  com.sleepycat.je.SecondaryKeyCreator

public class SequenceNumberCreator
extends Object
implements com.sleepycat.je.SecondaryKeyCreator

Version:
  $Revision: 1.1 $

Constructor Summary
`SequenceNumberCreator()`

Method Summary
`boolean` | `createSecondaryKey(com.sleepycat.je.SecondaryDatabase secondaryDatabase, com.sleepycat.je.DatabaseEntry keyEntry, com.sleepycat.je.DatabaseEntry valueEntry, com.sleepycat.je.DatabaseEntry resultEntry)`
`protected long` | `extractLong(com.sleepycat.je.DatabaseEntry entry)`
`com.sleepycat.je.DatabaseEntry` | `getLastKey()`
`void` | `initialise(com.sleepycat.je.SecondaryDatabase database)`
`protected long` | `queryLatestKeyInDatabase(com.sleepycat.je.SecondaryDatabase database)`
`void` | `setDeleteKey(com.sleepycat.je.DatabaseEntry nextKey)` Sets the next primary key to return, such as doing a delete

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceNumberCreator

    public SequenceNumberCreator()

Method Detail

### initialise

    public void initialise(com.sleepycat.je.SecondaryDatabase database)
                    throws JMSException,
                           com.sleepycat.je.DatabaseException

  Throws:
    `JMSException`
    `com.sleepycat.je.DatabaseException`

### createSecondaryKey

    public boolean createSecondaryKey(com.sleepycat.je.SecondaryDatabase secondaryDatabase,
                                      com.sleepycat.je.DatabaseEntry keyEntry,
                                      com.sleepycat.je.DatabaseEntry valueEntry,
                                      com.sleepycat.je.DatabaseEntry resultEntry)
                               throws com.sleepycat.je.DatabaseException

  Specified by:
    `createSecondaryKey` in interface `com.sleepycat.je.SecondaryKeyCreator`
  Throws:
    `com.sleepycat.je.DatabaseException`

### getLastKey

    public com.sleepycat.je.DatabaseEntry getLastKey()

  Returns:
    the last primary key we created

### setDeleteKey

    public void setDeleteKey(com.sleepycat.je.DatabaseEntry nextKey)

  Sets the next primary key to return, such as doing a delete

  Parameters:
    `nextKey` -

### queryLatestKeyInDatabase

    protected long queryLatestKeyInDatabase(com.sleepycat.je.SecondaryDatabase database)
                                     throws JMSException,
                                            com.sleepycat.je.DatabaseException

  Throws:
    `JMSException`
    `com.sleepycat.je.DatabaseException`

### extractLong

    protected long extractLong(com.sleepycat.je.DatabaseEntry entry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.